DEVS-Fire API

runSimulation

Runs the simulation for one time interval and returns all fire events that occurred. Use `continueSimulation` instead when you want to sample results at multiple intervals.

POST
/runSimulation

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/runSimulation/"params: dict[str, int | str] = {    "userToken": "abc123xyz",    "time": 50,}response = requests.post(base_url, params=params)print(response.text)
[
  {
    "x": "25",
    "y": "25",
    "Operation": "BurnTeam",
    "time": "0.0"
  }
]
""
{
  "timestamp": "2026-05-20T16:41:19.716+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/runSimulation"
}

Response Body

application/json

text/plain

application/json